cudnn_frontend::EngineHeuristicsBuilder_v8
cudnn_frontend_Heuristics.h
EngineHeuristics_v8 EngineHeuristics_v8 cudnn_frontend::EngineHeuristicsBuilder_v8::m_heuristics m_heuristics
auto auto cudnn_frontend::EngineHeuristicsBuilder_v8::setOperationGraph (OperationGraph_v8 &opGraph_) -> EngineHeuristicsBuilder_v8 & setOperationGraph OperationGraph_v8 & opGraph_

Set operationGraph for the engine (opGraph is not destroyed)

auto auto cudnn_frontend::EngineHeuristicsBuilder_v8::setHeurMode (cudnnBackendHeurMode_t mode_) -> EngineHeuristicsBuilder_v8 & setHeurMode cudnnBackendHeurMode_t mode_

Set cudnnHandle for the operations.

EngineHeuristics_v8 && EngineHeuristics_v8&& cudnn_frontend::EngineHeuristicsBuilder_v8::build () build

constructs the EngineHeuristics_v8 by calling the cudnn API Throws the appropriate error message

cudnn_frontend::EngineHeuristics_v8::EngineHeuristicsBuilder_v8
cudnn_frontend::getLogger
cudnn_frontend::EngineHeuristics_v8::operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::EngineHeuristicsBuilder_v8::EngineHeuristicsBuilder_v8
()=default
EngineHeuristicsBuilder_v8
cudnn_frontend::EngineHeuristicsBuilder_v8::~EngineHeuristicsBuilder_v8
()=default
~EngineHeuristicsBuilder_v8
cudnn_frontend::EngineHeuristicsBuilder_v8::EngineHeuristicsBuilder_v8
(EngineHeuristicsBuilder_v8 &&)=delete
EngineHeuristicsBuilder_v8
EngineHeuristicsBuilder_v8 &&
cudnn_frontend::EngineHeuristicsBuilder_v8::EngineHeuristicsBuilder_v8
(EngineHeuristicsBuilder_v8 const &)=delete
EngineHeuristicsBuilder_v8
EngineHeuristicsBuilder_v8 const &
EngineHeuristicsBuilder_v8 & EngineHeuristicsBuilder_v8& cudnn_frontend::EngineHeuristicsBuilder_v8::operator= (EngineHeuristicsBuilder_v8 const &)=delete operator= EngineHeuristicsBuilder_v8 const &

EngineHeuristicsBuilder_v8 Class Helper class used to build EngineHeuristics_v8 class

shared_ptr< OpaqueBackendPointer >
T
std::vector< T >
+elements
cudnn_frontend::EngineHeuristicsBuilder_v8
-m_heuristics
cudnnStatus_t
std::vector< ManagedOpaqueDescriptor >
+elements
< ManagedOpaqueDescriptor >
std::basic_string< char >
cudnn_frontend::EngineHeuristics_v8
-m_heuristic_results
-mode
-opGraphTag
-opGraph
ManagedOpaqueDescriptor
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
cudnnBackendHeurMode_t
std::string
- cudnn_frontend::EngineHeuristicsBuilder_v8
  build
- cudnn_frontend::EngineHeuristicsBuilder_v8
  EngineHeuristicsBuilder_v8
- cudnn_frontend::EngineHeuristicsBuilder_v8
  EngineHeuristicsBuilder_v8
- cudnn_frontend::EngineHeuristicsBuilder_v8
  EngineHeuristicsBuilder_v8
- cudnn_frontend::EngineHeuristicsBuilder_v8
  m_heuristics
- cudnn_frontend::EngineHeuristicsBuilder_v8
  operator=
- cudnn_frontend::EngineHeuristicsBuilder_v8
  setHeurMode
- cudnn_frontend::EngineHeuristicsBuilder_v8
  setOperationGraph
- cudnn_frontend::EngineHeuristicsBuilder_v8
  ~EngineHeuristicsBuilder_v8